Skip to main content
POST
/
customers
/
{customerID}
/
external_accounts
curl --request POST \
  --url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "currency": "usd",
  "bank_name": "Wells Fargo",
  "account_owner_name": "John Doe",
  "account_type": "us",
  "account": {
    "account_number": "1210002481111",
    "routing_number": "121000248",
    "checking_or_savings": "checking"
  },
  "address": {
    "street_line_1": "123 Main St",
    "city": "San Francisco",
    "state": "CA",
    "postal_code": "94102",
    "country": "USA"
  }
}
'
{
  "id": "ea_123",
  "account_type": "us",
  "currency": "usd",
  "customer_id": "cust_123",
  "account_owner_name": "John Doe",
  "bank_name": "Wells Fargo",
  "last_4": "1111",
  "active": true,
  "beneficiary_address_valid": true,
  "account": {
    "last_4": "1111",
    "routing_number": "121000248",
    "checking_or_savings": "checking"
  },
  "created_at": "2020-01-01T00:00:00.000Z",
  "updated_at": "2020-01-02T00:00:00.000Z"
}

Authorizations

Api-Key
string
header
required

Headers

Idempotency-Key
string
required

Path Parameters

customerID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Body

application/json

New External Account object to be created

Request body for creating an external account.

account_type
enum<string>
required

Type of the bank account.

Available options:
us
currency
enum<string>
required

Currency associated with the bank account. Must be usd for US accounts.

Available options:
usd
account
us · object
required
bank_name
string

Bank name of the account (e.g. "Chase")

Required string length: 1 - 256
account_owner_name
string

Owner of the account Bank Account (e.g. "John Doe"). For ach or wire transfers, this field must be at least 3 characters, at most 35 characters, and follow either of the following regex patterns:

  • ach: ^(?!\s*$)[\x20-\x7E]*$
  • wire: ^[ \w!"#$%&'()+,\-./:;<=>?@\\_`~]*$
Required string length: 1 - 256
account_owner_type
enum<string>

The type of the account ownership. Required when the account_type is iban. For individual ownership, first_name and last_name are required. For business ownership, business_name is required.

Available options:
individual,
business
first_name
string

First name of the individual account holder. Required when the account_owner_type is individual

last_name
string

Last name of the individual account holder. Required when the account_owner_type is individual

business_name
string

Business name of the business account holder. Required when the account_owner_type is business

address
object

Address of the beneficiary of this account. Please ensure the address is valid (Google Maps is good for this). US addresses used to receive wires must include a street number.

account_number
string
deprecated

Account number of your bank account. This field is getting deprecated in favor of the account.account_number field for US accounts.

Minimum string length: 12
routing_number
string
deprecated

Routing number of your bank account. This field is getting deprecated in favor of the account.routing_number field for US accounts.

Minimum string length: 9

Response

External Account object created

US bank account using account and routing numbers for ACH or Wire transfers

id
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
customer_id
string
required

The id of the Bridge customer that this External Account belongs to

Minimum string length: 1
account_owner_name
string
required

Owner of the account Bank Account (e.g. "John Doe"). For ach or wire transfers, this field must be at least 3 characters, at most 35 characters, and follow either of the following regex patterns:

  • ach: ^(?!\s*$)[\x20-\x7E]*$
  • wire: ^[ \w!"#$%&'()+,\-./:;<=>?@\\_`~]*$
Required string length: 1 - 256
created_at
string<date-time>
required

Time of creation of the External Account

updated_at
string<date-time>
required

Time of last update of the External Account

active
boolean
required

Whether or not this External Account is active

account_type
enum<string>
required

Type of the bank account.

Available options:
us
currency
enum<string>
required

Currency associated with the bank account. Must be usd for US accounts.

Available options:
usd
account
us · object
required
bank_name
string

Bank name of the account (e.g. "Chase")

Required string length: 1 - 256
account_owner_type
enum<string>

The type of the account ownership. Required when the account_type is iban. For individual ownership, first_name and last_name are required. For business ownership, business_name is required.

Available options:
individual,
business
first_name
string

First name of the individual account holder. Required when the account_owner_type is individual

last_name
string

Last name of the individual account holder. Required when the account_owner_type is individual

business_name
string

Business name of the business account holder. Required when the account_owner_type is business

deactivation_reason
enum<string>

Reason for deactivation when this External Account is inactive

Available options:
plaid_item_error,
deactivated_due_to_bounceback,
deleted_by_developer,
requested_by_developer,
invalid_account_number,
invalid_bank_validation,
rejected_by_bank_provider
deactivation_details
string

Additional details about the deactivation when this External Account is inactive

beneficiary_address_valid
boolean

Whether the beneficiary address is valid. A valid beneficiary address is required for all US External Accounts

last_4
string
deprecated

Last 4 digits of the bank account number. This field is getting deprecated in favor of the account.last_4 field

Minimum string length: 1
account_validation
object

Present for Pix and SPEI/CLABE accounts with a successful validation; contains validated owner and bank name.